RLMGR(1)

NAME
rlmgr - administration utility for QDBM Relic

SYNOPSIS
rlmgr create name
rlmgr store [-kx] [-vx|-vf] [-insert] name key val
rlmgr delete [-kx] name key
rlmgr fetch [-kx] [-ox] [-n] name key
rlmgr list [-ox] name

DESCRIPTION
This manual page documents briefly the rlmgr commands.

rlmgr is a utility for debugging Relic and its applications. It features editing and checking of a database. It can be used for database applications with shell scripts. This command is used in the above format. name specifies a database name. key specifies the key of a record. val specifies the value of a record.

OPTIONS
A summary of options is included below. For a complete description, see the file:///usr/share/doc/qdbm-doc/spex.html#reliccli.

-kx treat key as a binary expression of hexadecimal notation.

-vx treat val as a binary expression of hexadecimal notation.

-vf read the value from a file specified with val.

-insert
    specify the storing mode for `DBM_INSERT'.

-ox treat the output as a binary expression of hexadecimal notation.

-n  do not output the tailing newline.

SEE ALSO
qdbm(3), relic(3).

AUTHOR
QDBM was written by Mikio Hirabayashi <mikio@fallabs.com>.

This manual page was written by Fumitoshi UKAI <ukai@debian.or.jp>, for the Debian project (but may be used by others).